For the complete documentation index, see llms.txt. This page is also available as Markdown.

Execute import content

Execute import content

Required permissions: IMPORT

post
/tenants/{tenantUid}/imports/files/{importFileUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
importFileUidstringRequired

Reference to a import file.

Pattern: ^[A-Za-z0-9-_]+
Body
actionstring · enumOptional
ENUMDescription
EXECUTEExecute Import job
ABORTAbort running job
Possible values:
Responses
200

Example response

application/json
templateUidstringRequiredPattern: ^[A-Za-z0-9-_]+
base64DatastringRequired
contentTypestringRequired
actionstring · enum · min: 1Required
ENUMDescription
SIMULATEDo a simulate on import. Return content without saving
PROCESSProcess file with given template. Save file if no errors
Possible values:
importFileUidstringRequiredPattern: ^[A-Za-z0-9-_]*
operationstring · enum · min: 1Required
ENUMDescription
INSERTOnly insert non-existing records, existing records will be ignored
UPDATEOnly update existing records, non-existing records will be ignored
UPSERTnon-existing records will be inserted, existing records will be updated
Possible values:
statestring · enum · min: 1Required
ENUMDescription
NOT_STARTEDImport not started
IMPORT_IN_PROGRESSImport is running
IMPORT_ABORTImport is aborting
IMPORT_ABORTEDImport has been aborted
VALIDATE_IN_PROGRESSValidate is running
COMPLETE_NOTHING_TO_IMPORTImport is done, but there where nothing to import
COMPLETEImport complete
VALIDATE_FAILEDValidate failed
IMPORT_FAILEDImport failed
IMPORT_ABORTImport is aborting
IMPORT_ABORTEDImport has been aborted
READY_TO_IMPORTValidation OK, import is ready
Possible values:
post/tenants/{tenantUid}/imports/files/{importFileUid}
POST /v2/tenants/{tenantUid}/imports/files/{importFileUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 20

{
  "action": "EXECUTE"
}
200

Example response

{
  "templateUid": "text",
  "base64Data": "text",
  "contentType": "text",
  "action": "SIMULATE",
  "importFileUid": "text",
  "operation": "INSERT",
  "state": "NOT_STARTED"
}

Last updated

Was this helpful?